.test {
  border: 1px solid var(--border-secondary);
  border-radius: 12px;
  padding: 40px 40px 0;
}
@media (max-width: 1439px) {
  .test {
    padding: 40px 32px 0;
  }
}
@media (max-width: 1023px) {
  .test {
    padding: 24px;
  }
}
@media (max-width: 767px) {
  .test {
    padding: 16px 16px 0;
    border: none;
    border-radius: 0;
    padding: 0;
  }
}
.test-section {
  display: block;
  margin-bottom: 40px;
}
@media (max-width: 1023px) {
  .test-section {
    margin-bottom: 23px;
  }
}
@media (max-width: 767px) {
  .test-section {
    margin-bottom: 23px;
  }
}
.test-label {
  display: block;
  color: var(--text-secondary);
  margin-bottom: 8px;
}
.test-options {
  display: block;
}
.test-option {
  display: block;
  position: relative;
  padding-left: 42px;
  cursor: pointer;
  margin-bottom: 16px;
}
@media (max-width: 1023px) {
  .test-option {
    padding-left: 37px;
    margin-bottom: 12px;
  }
}
@media (max-width: 767px) {
  .test-option {
    padding-left: 34px;
    margin-bottom: 16px;
  }
}
.test-optionRadio {
  position: absolute;
  display: block;
  left: 0;
  top: 2px;
  width: 20px;
  height: 20px;
  border: 1px solid var(--border-primary);
  border-radius: 50%;
  background-color: var(--element-secondary);
}
@media (max-width: 1023px) {
  .test-optionRadio {
    width: 18px;
    height: 18px;
    left: 1px;
  }
}
.test-optionRadioInput {
  position: absolute;
  left: -9999999px;
  width: 1px;
  height: 1px;
}
.test-optionRadioInput:checked + .test-optionRadio:before {
  position: absolute;
  content: '';
  background-color: var(--element-accent);
  width: 10px;
  height: 10px;
  border-radius: 50%;
  top: 4px;
  left: 4px;
}
@media (max-width: 1023px) {
  .test-optionRadioInput:checked + .test-optionRadio:before {
    width: 8px;
    height: 8px;
  }
}
.test-optionRadioRight,
.test-optionRadioWrong {
  display: none;
  position: absolute;
  background-color: var(--element-primary);
  width: 24px;
  height: 24px;
  top: -3px;
  left: -3px;
}
@media (max-width: 1023px) {
  .test-optionRadioRight,
  .test-optionRadioWrong {
    width: 22px;
    height: 22px;
  }
}
.test-optionRadioRight {
  fill: var(--s70);
}
.test-optionRadioWrong {
  fill: var(--e80);
}
.test-optionExplanation {
  display: none;
  color: var(--s70);
}
.test-optionExplanation_wrong {
  color: var(--e80);
}
.test-option_complete .test-optionRadioWrong,
.test-option_complete .test-optionRadioRight {
  display: block;
}
.test-option_complete .test-optionExplanation {
  display: block;
  margin-top: 2px;
}
.test-controls {
  text-align: center;
  margin: 39px 0 40px;
}
@media (max-width: 1023px) {
  .test-controls {
    margin-bottom: 16px;
  }
}
.test-controlsDescription {
  font-size: 0.7222222222222222rem;
  line-height: 1.23076923;
  color: var(--text-secondary);
  text-align: center;
  margin-top: 8px;
}
@media (max-width: 1023px) {
  .test-controlsDescription {
    font-size: 0.6666666666666666rem;
    line-height: 1.33333333;
  }
}
@media (max-width: 767px) {
  .test-button {
    width: 100%;
  }
}
.test-results {
  background: -o-linear-gradient(354.37deg, #0057b6 9.29%, #5960ea 83.38%);
  background: linear-gradient(95.63deg, #0057b6 9.29%, #5960ea 83.38%);
  border-radius: 12px;
  color: var(--text-tertiary);
  text-align: center;
  padding: 40px;
  margin-bottom: 40px;
}
@media (max-width: 1023px) {
  .test-results {
    margin-bottom: 0;
  }
}
@media (max-width: 767px) {
  .test-results {
    margin: 0 -16px;
    border-radius: 0;
    padding: 24px 16px;
  }
}
.test-resultsCounts {
  font-size: 3.7777777777777777rem;
  line-height: 1.21794118;
  font-weight: bold;
}
@media (max-width: 1023px) {
  .test-resultsCounts {
    font-size: 3.5555555555555554rem;
    line-height: 1.21796875;
  }
}
@media (max-width: 767px) {
  .test-resultsCounts {
    font-size: 3.3333333333333335rem;
    line-height: 1.218;
  }
}
.test-resultsContent {
  margin: 7px 0 32px;
}
@media (max-width: 767px) {
  .test-resultsContent {
    margin: 12px 0 32px;
  }
}
.test-resultsContent a {
  color: var(--button-tertiary-enabled);
  text-decoration: underline;
  text-decoration-thickness: from-font;
}
.test-resultsContent a:hover {
  color: var(--button-tertiary-hover);
}
.test-resultsContent a:active {
  color: var(--button-tertiary-pressed);
}
@media (max-width: 1023px) {
  .test-resultsContent p {
    margin-bottom: 24px;
  }
}
.test-resultsControls {
  margin-top: 32px;
}
@media (max-width: 1023px) {
  .test-resultsControls {
    margin-top: 28px;
  }
}
@media (max-width: 767px) {
  .test-resultsControls {
    margin-top: 19px;
  }
}
.test-block {
  padding: 32px;
  text-align: center;
  background-color: var(--background-secondary);
  border-radius: 12px;
  color: var(--text-primary);
}
@media (max-width: 767px) {
  .test-block {
    padding: 16px;
  }
}
.test-blockLabel {
  font-size: 1.1111111111111112rem;
  line-height: 1.2;
  margin-bottom: 16px;
}
@media (max-width: 1023px) {
  .test-blockLabel {
    font-size: 0.8888888888888888rem;
    line-height: 1.25;
    margin-bottom: 12px;
  }
}
.test-blockHeading {
  font-size: 2rem;
  line-height: 1.11111111;
  font-weight: bold;
}
@media (max-width: 1023px) {
  .test-blockHeading {
    font-size: 1.5555555555555556rem;
    line-height: 1.14285714;
  }
}
@media (max-width: 767px) {
  .test-blockHeading {
    font-size: 1.3333333333333333rem;
    line-height: 1.16666667;
  }
}
.test-blockButton {
  min-width: 230px;
  font-size: 0.8333333333333334rem;
  line-height: 1.33333333;
}
@media (max-width: 767px) {
  .test-blockButton {
    width: 100%;
  }
}
.test_disabled .test-option {
  cursor: auto;
}
.test_disabled .test-optionRadio {
  background-color: var(--element-secondary);
  border-color: var(--border-secondary);
}
.test_disabled .test-controls {
  display: none;
}
.test_results {
  padding: 0;
  border: none;
}
.test_results .test-results {
  margin-top: 40px;
}
@media (max-width: 1023px) {
  .test_results .test-results {
    margin-top: 24px;
  }
}
@media (max-width: 767px) {
  .test_results .test-results {
    margin-top: 31px;
    margin-bottom: -20px;
  }
}
@media (max-width: 767px) {
  .test_mini {
    border: 1px solid var(--border-primary);
    border-radius: 12px;
    padding: 16px 16px 0;
  }
}
@media (max-width: 767px) {
  .test_mini .test-results {
    border-radius: 0 0 12px 12px;
  }
}
